Loading...
Searching...
No Matches
IAnimatedMeshMD3.h File Reference
`#include "IAnimatedMesh.h"`
`#include "IQ3Shader.h"`
`#include "quaternion.h"`
`#include "irrpack.h"`
`#include "irrunpack.h"`

Go to the source code of this file.

## Classes

class | irr::scene::IAnimatedMeshMD3
| Interface for using some special functions of MD3 meshes. More...
struct | irr::scene::SMD3AnimationInfo
struct | irr::scene::SMD3Face
| Triangle Index. More...
struct | irr::scene::SMD3Header
| this holds the header info of the MD3 file More...
struct | irr::scene::SMD3Mesh
| Holding Frames Buffers and Tag Infos. More...
struct | irr::scene::SMD3MeshBuffer
| Holding Frame Data for a Mesh. More...
struct | irr::scene::SMD3MeshHeader
| this holds the header info of an MD3 mesh section More...
struct | irr::scene::SMD3QuaternionTag
| hold a tag info for connecting meshes More...
struct | irr::scene::SMD3QuaternionTagList
| holds a associative list of named quaternions More...
struct | irr::scene::SMD3TexCoord
| Texture Coordinate. More...
struct | irr::scene::SMD3Vertex
| Compressed Vertex Data. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

enum

irr::scene::EMD3_ANIMATION_TYPE {
irr::scene::EMD3_BOTH_DEATH_1 = 0 , irr::scene::EMD3_BOTH_DEAD_1 , irr::scene::EMD3_BOTH_DEATH_2 , irr::scene::EMD3_BOTH_DEAD_2 ,
irr::scene::EMD3_BOTH_DEATH_3 , irr::scene::EMD3_BOTH_DEAD_3 , irr::scene::EMD3_TORSO_GESTURE , irr::scene::EMD3_TORSO_ATTACK_1 ,
irr::scene::EMD3_TORSO_ATTACK_2 , irr::scene::EMD3_TORSO_DROP , irr::scene::EMD3_TORSO_RAISE , irr::scene::EMD3_TORSO_STAND_1 ,
irr::scene::EMD3_TORSO_STAND_2 , irr::scene::EMD3_LEGS_WALK_CROUCH , irr::scene::EMD3_LEGS_WALK , irr::scene::EMD3_LEGS_RUN ,
irr::scene::EMD3_LEGS_BACK , irr::scene::EMD3_LEGS_SWIM , irr::scene::EMD3_LEGS_JUMP_1 , irr::scene::EMD3_LEGS_LAND_1 ,
irr::scene::EMD3_LEGS_JUMP_2 , irr::scene::EMD3_LEGS_LAND_2 , irr::scene::EMD3_LEGS_IDLE , irr::scene::EMD3_LEGS_IDLE_CROUCH ,
irr::scene::EMD3_LEGS_TURN , irr::scene::EMD3_ANIMATION_COUNT
}

| Animation list. More...
enum | irr::scene::eMD3Models { irr::scene::EMD3_HEAD = 0 , irr::scene::EMD3_UPPER , irr::scene::EMD3_LOWER , irr::scene::EMD3_WEAPON , irr::scene::EMD3_NUMMODELS }

## Variables

struct irr::scene::SMD3Header | irr::scene::PACK_STRUCT

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0